# SPDX-License-Identifier: (GPL-2.0-only OR BSD-2-Clause)
%YAML 1.2
---
$id: http://devicetree.org/schemas/mailbox/mtk,adsp-mbox.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: Mediatek ADSP mailbox

maintainers:
  - Allen-KH Cheng <Allen-KH.Cheng@mediatek.com>

description: |
  The MTK ADSP mailbox Inter-Processor Communication (IPC) enables the SoC
  to ommunicate with ADSP by passing messages through two mailbox channels.
  The MTK ADSP mailbox IPC also provides the ability for one processor to
  signal the other processor using interrupts.

properties:
  compatible:
    items:
      - const: mediatek,mt8195-adsp-mbox

  "#mbox-cells":
    const: 0

  reg:
    maxItems: 1

  interrupts:
    maxItems: 1

required:
  - compatible
  - "#mbox-cells"
  - reg
  - interrupts

additionalProperties: false

examples:
  - |
    #include <dt-bindings/interrupt-controller/arm-gic.h>
    #include <dt-bindings/interrupt-controller/irq.h>

    adsp_mailbox0:mailbox@10816000 {
        compatible = "mediatek,mt8195-adsp-mbox";
        #mbox-cells = <0>;
        reg = <0x10816000 0x1000>;
        interrupts = <GIC_SPI 702 IRQ_TYPE_LEVEL_HIGH 0>;
    };
